/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.carbon.registry.core.utils;

/**
 * UserManager Constants
 */
public class AccessControlConstants {

/*    *//** Represents are user as resource - for Authorizing realm *//*
    public static final String USER_RESOURCE = "user";

    *//** Represents are role as resource - for Authorizing realm *//*
    public static final String ROLE_RESOURCE = "role";

    *//** Represents are user permission as resource *//*
    public static final String USER_PERMISSION_RESOURCE = "user_permission";

    *//** Represents are role permission as resource *//*
    public static final String ROLE_PERMISSION_RESOURCE = "role_permission";

    *//** Action add *//*
    public static final String ADD = "add";

    *//** Action edit *//*
    public static final String EDIT = "edit";

    *//** Action read *//*
    public static final String READ = "read";*/

    /**
     * Action delete
     */
    public static final String DELETE = "delete";

    /**
     * Action authorize
     */
    public static final String AUTHORIZE = "authorize";
}
