<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.server.admin.ui.ServerAdminClient" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.server.admin.common.IServerAdmin" %>

<%
    ConfigurationContext ctx = (ConfigurationContext) config.getServletContext()
            .getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String backendServerURL = CarbonUIUtil
            .getServerURL(config.getServletContext(), session);

    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    String action = request.getParameter("action");

    IServerAdmin proxy =
            (IServerAdmin) CarbonUIUtil.
                    getServerProxy(new ServerAdminClient(ctx, backendServerURL, cookie, session),
                                         IServerAdmin.class, session);

    try {
        if ("restart".equals(action)) {
            proxy.restart();
//            session.invalidate();
        } else if ("restartGracefully".equals(action)) {
            proxy.restartGracefully();
//            session.invalidate();
        } else if ("shutdown".equals(action)) {
            proxy.shutdown();
        } else if ("shutdownGracefully".equals(action)) {
            proxy.shutdownGracefully();
        }

    } catch (Exception e) {
        response.sendError(500,e.getMessage());
        return;
    }
%>
