/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.server;

import javax.xml.namespace.QName;

public final class TestConstants {
    public static final int TESTING_PORT = 39762;
    public static final String TESTING_REPO = "target/tomcat_test/repository";

    public static final QName ECHO_SERVICE_NAME = new QName("echo");
    public static final QName ECHO_OPERATION = new QName("echoOMElement");
}
