package org.wso2.carbon.user.mgt.common;

public class UIPermissionNode {

    private String resourcePath;
    private String displayName;
    private boolean isSelected;
    private UIPermissionNode[] nodeList = new UIPermissionNode[0];

    public UIPermissionNode() {

    }

    public UIPermissionNode(String resourcePath, String displayName) {
        this.resourcePath = resourcePath;
        this.displayName = displayName;
    }

    public UIPermissionNode(String resourcePath, String displayName, boolean isSelected) {
        super();
        this.resourcePath = resourcePath;
        this.displayName = displayName;
        this.isSelected = isSelected;
    }

    public String getResourcePath() {
        return resourcePath;
    }

    public void setResourcePath(String resourcePath) {
        this.resourcePath = resourcePath;
    }

    public String getDisplayName() {
        return displayName;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public void setSelected(boolean isSelected) {
        this.isSelected = isSelected;
    }

    public UIPermissionNode[] getNodeList() {
        return nodeList;
    }

    public void setNodeList(UIPermissionNode[] nodeList) {
        this.nodeList = nodeList;
    }
}
