package org.wso2.carbon.application.deployer;

/**
 * This is the common interface for all App deployers. Different deployers deploy different
 * artifacts..
 */

public interface AppDeploymentHandler {

    /**
     * Deploy the artifacts which can be deployed through this deployer.
     * @param carbonApp - store info in this object after deploying
     */
    public void deployArtifacts(CarbonApplication carbonApp);

}
