package org.wso2.carbon.application.deployer;

/**
 * This is the common interface for all App undeployers. Different implementers handle undeployment
 * (deletion) of different artifacts..
 */
public interface AppUndeploymentHandler {

    /**
     * Delete the artifacts which can be deleted through this undeployer.
     * @param carbonApp - all information about the existing artifacts are in this instance
     */
    public void undeployArtifacts(CarbonApplication carbonApp);
}
