package org.wso2.carbon.registry.core.utils;

import java.util.concurrent.LinkedBlockingQueue;

/**
 * Implementation of a Queue for logs.
 */
public class LogQueue extends LinkedBlockingQueue<Object> {

    /**
     * Clears to queue.
     */
    public void clear() {
        super.clear();
    }

    /**
     * Retrieves the head of the queue, or null if this queue is empty.
     *
     * @return the top most object, or null if this queue is empty.
     */
    public Object peek() {
        return super.peek();
    }

    /**
     * Retrieves and removes the head of this queue, or null if this queue is empty.
     *
     * @return the top most object, or null if this queue is empty.
     */
    public Object poll() {
        return super.poll();
    }

    /**
     * Adds an item into this queue.
     *
     * @param object the object to add
     *
     * @throws InterruptedException if the operation failed.
     */
    public void put(Object object) throws InterruptedException {
        super.put(object);
    }

    /**
     * Obtains the size of this queue.
     *
     * @return the size of this queue.
     */
	public int size() {
		return super.size();
	}

}
