package org.wso2.carbon.registry.core.test.performance;

import org.wso2.carbon.registry.core.Registry;
import org.wso2.carbon.registry.core.Resource;
import org.wso2.carbon.registry.core.exceptions.RegistryException;

/**
 * Created by IntelliJ IDEA.
 * User: kalani
 * Date: Feb 13, 2009
 * Time: 2:13:00 PM
 * To change this template use File | Settings | File Templates.
 */
public class Worker6 extends Worker {

    public Worker6(String threadName, int iterations, Registry registry) {
        super(threadName, iterations, registry);
    }

    // run this with 1 user and 1 iteration
    public void run() {

        long time1 = System.nanoTime();
        long timePerThread = 0;

        try {
            Resource resource1 = registry.newResource();
            resource1.setContent("ABC");
            for (int i = 0; i < 400; i++) {
                registry.put("/t1/" + i, resource1);
            }
            registry.rename("/t1", "/" + threadName);
        } catch (RegistryException e) {
            e.printStackTrace();
        }
    }
}
