package org.wso2.carbon.ui.taglibs;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.BodyTagSupport;
import java.io.IOException;

/**
 * used to generate reporting UI
 */
public class Report extends BodyTagSupport {

    private String component;
    private String template;
    private boolean pdfReport;
    private boolean htmlReport;
    private boolean excelReport;

    public String getReportDataSession() {
        return reportDataSession;
    }

    public void setReportDataSession(String reportDataSession) {
        this.reportDataSession = reportDataSession;
    }

    private String reportDataSession;

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public boolean isPdfReport() {
        return pdfReport;
    }

    public void setPdfReport(boolean pdfReport) {
        this.pdfReport = pdfReport;
    }

    public boolean isHtmlReport() {
        return htmlReport;
    }

    public void setHtmlReport(boolean htmlReport) {
        this.htmlReport = htmlReport;
    }

    public boolean isExcelReport() {
        return excelReport;
    }

    public void setExcelReport(boolean excelReport) {
        this.excelReport = excelReport;
    }


    public int doStartTag() throws JspException {
        JspWriter writer = pageContext.getOut();

        String context = "<div style='float:right;padding-bottom:5px;padding-right:15px;'>;";
        
        if(pdfReport){
           context  = context+ "<a target='_blank' class='icon-link' style='background-image:url(../admin/images/pdficon.gif);' href=\"../report" + "?" +"reportDataSession="+reportDataSession+ "&component=" + component + "&template=" + template + "&type=pdf" +  "\">Generate Report</a>";
        }
        if(htmlReport){
            context  = context+ "<a target='_blank' class='icon-link' style='background-image:url(../admin/images/htmlicon.gif);' href=\"../report" + "?" + "reportDataSession="+reportDataSession+ "&component=" + component + "&template=" + template + "&type=html" + "\">Generate Report</a>";

        }
        if(excelReport){
            context  = context+ "<a target='_blank' class='icon-link' style='background-image:url(../admin/images/excelicon.gif);' href=\"../report" + "?" + "reportDataSession="+reportDataSession+ "&component=" + component + "&template=" + template + "&type=excel" +"\">Generate Report</a>";

        }
        context  = context + "</div><div style='clear:both;'></div>";

        try {
            writer.write(context);
        } catch (IOException e) {
            String msg = "Cannot write reporting tag content";

            throw new JspException(msg, e);
        }
        return EVAL_PAGE;


    }
}




